﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;
using System.Xml;
using System.IO;

namespace SciLors_DHCP_Reset {
    public class Config {
        private const String FILE = "config.xml";
        private const String ROOT = "SciLorsDHCPReset";
        public static void Save(List<String> nl) {
            XmlRootAttribute root = new XmlRootAttribute(ROOT);
            XmlSerializer xmlSer = new XmlSerializer(typeof(List<String>), root);
            XmlTextWriter tw = new XmlTextWriter(FILE, System.Text.Encoding.UTF8);
            tw.Formatting = Formatting.Indented;
            tw.Indentation = 4;

            xmlSer.Serialize(tw, nl);
            tw.Flush();
            tw.Close();
        }
        public static List<String> Load() {
            List<String> nl = new List<String>();
            try {
                XmlRootAttribute root = new XmlRootAttribute(ROOT);
                XmlSerializer xmlSer = new XmlSerializer(typeof(List<String>), root);
                XmlTextReader tr = new XmlTextReader(new FileStream(FILE, FileMode.Open));
                nl = (List<String>)xmlSer.Deserialize(tr);
                tr.Close();
            } catch (Exception) { }
            return nl;
        }
    }
}
