﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Net.NetworkInformation;

namespace SciLors_DHCP_Reset_Config {
    public class NetworkCard {
        private NetworkInterface networkInterface = null;

        public String name = null;
        private Boolean enabled = false;
        public Boolean reset = false;

        public NetworkCard() {
        }

        public NetworkCard(NetworkInterface networkInterface) {
            this.networkInterface = networkInterface;
            this.name = networkInterface.Name;
            if (networkInterface.OperationalStatus == OperationalStatus.Up) {
                enabled = true;
            }
        }
        public NetworkCard(String name, Boolean enabled) {
            this.name = name;
            this.enabled = enabled;
        }

        public override string ToString() {
            return name + "(" + enabled + ")";
        }
    }
}
